/* colors */
:root {
	/* request types */
	--delete: #ED0007; /* Bosch Red 50 */
	--get: #007BC0; /* Bosch Blue 50 */
	--put: #EEC100; /* Bosch Yellow 80 */
	--post: #00884A; /* Bosch Green 50 */
	--patch: #18837e; /* Bosch Turquoise 50  */

	/* console (color scheme similar to ace editor) */
	--key: #7f0055;
	--string: #00008b;
	--number: #2a00ff;
	--boolean: #1a679c;
	--border: #cfcfcf;

	--header: #3b4151;
}

body:not(pre) {
	font-family: 'Bosch Sans' !important;
}

.swagger-body {
	background-color: white;
}

.swagger-section #header #logo .logo__title {
	color: black;
}

.swagger-ui-header {
	margin-top: 8px;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.swagger-section {
	font-family: Bosch Sans,sans-serif;
	max-width: 1140px;
	margin-left: auto;

	margin-right: auto;
}

.swagger-ui-link {
	margin-left: 8px;
	font-size: 24px;
	font-weight: bold;
	color: var(--header);
	text-decoration: none;
}

.logos {
	align-items: center;
	display: flex;
}

div.warning-hint {
	color: var(--delete);
	font-weight: bold;
}

.swagger-ui .info {
	margin: 10px 0px 20px 0px;
}

.swagger-ui .wrapper {
	margin: 0;
	padding: 0;
	max-width: none;
}

.swagger-ui textarea {
	border: var(--border) solid 1px;
}

.model-title__text {
	font-size: 14px;
}

.swagger-ui .btn-group {
	padding: 20px;
}

.swagger-ui .execute-wrapper {
	text-align: unset;
}

.swagger-ui .execute-wrapper .btn {
	min-width: 200px;
	width: 25%;
	padding-top: 5px;
	padding-bottom: 5px;
}

.swagger-ui .btn-group .btn {
	min-width: 200px;
	width: 25%;
	flex: unset;
	border-radius: 4px !important;
	margin-right: 8px;
}

.swagger-ui .opblock-tag {
	margin: 0;
	font-size: 20px;
	padding: 2px 20px 2px 10px;
}

.swagger-ui .opblock .opblock-summary-method {
	min-width: 55px;
	font-size: 12px;
	font-weight: normal;
}

.swagger-ui .opblock-body pre.microlight {
	background-color: #ffffff !important;
	color: black !important;
	font-weight: normal !important;
	border: var(--border) solid 1px;
	margin: 0px 0 8px;
}

.opblock.opblock-delete .opblock-summary-method {
	background: var(--delete) !important;
	border-color: var(--delete) !important;
}

.opblock.opblock-get .opblock-summary-method {
	/*Bosch Blue 50 */
	background: var(--get) !important;
	border-color: var(--get) !important;
}

.opblock.opblock-put .opblock-summary-method {
	background: var(--put) !important;
	border-color: var(--put) !important;
}

.opblock.opblock-post .opblock-summary-method {
	background: var(--post) !important;
	border-color: var(--post) !important;
}

.opblock.opblock-patch .opblock-summary-method {
	background: var(--patch) !important;
	border-color: var(--patch) !important;
}
/* key color */
.hljs-attr {
	color: var(--key) !important;
}

/* string color */
span[style*="color: rgb(162, 252, 162);"] {
	color: var(--string) !important;
}

/* number color */
span[style*="color: rgb(211, 99, 99);"] {
	color: var(--number) !important;
}

/* boolean color  */
span[style*="color: rgb(252, 194, 140);"] {
	color: var(--boolean) !important;
}
